assign.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

SetAssign | Gecode::SET_ASSIGN_MIN_INC (void)
| Include smallest element.
SetAssign | Gecode::SET_ASSIGN_MIN_EXC (void)
| Exclude smallest element.
SetAssign | Gecode::SET_ASSIGN_MED_INC (void)
| Include median element (rounding downwards).
SetAssign | Gecode::SET_ASSIGN_MED_EXC (void)
| Exclude median element (rounding downwards).
SetAssign | Gecode::SET_ASSIGN_MAX_INC (void)
| Include largest element.
SetAssign | Gecode::SET_ASSIGN_MAX_EXC (void)
| Exclude largest element.
SetAssign | Gecode::SET_ASSIGN_RND_INC (Rnd r)
| Include random element.
SetAssign | Gecode::SET_ASSIGN_RND_EXC (Rnd r)
| Exclude random element.
SetAssign | Gecode::SET_ASSIGN (SetBranchVal v, SetBranchCommit c=nullptr)
| Select value as defined by the value function v and commit function c.